WordPress自带jQuery不好使解决办法

wordpress自带了jQuery,位置在wordpress/wp-includes/js/jquery下。使用方法是在代码合适位置添加<?php wp_enqueue_script("jquery"); ?>即可。引入后发现不能用,是因为自带的jquery.min.js最后比原版要多一行jQuery.noConflict();,功能是增强兼容性,其影响是:原本jQuery用于定义的$,现在用jQuery代替。解决方式就是把jQuery代码中的$换掉,如$("p")改为jQuery("p")。或者不用自带的jQuery,自己引入一个。再或者,把自带的jquery.min.js里最后一行去掉。